import { HttpClient } from '@angular/common/http';
import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { Aktivnost } from '../modeli/aktivnost';
import { Korisnik } from '../modeli/korisnik';
import { AktivnostiService } from '../servisi/aktivnosti.service';

@Component({
  selector: 'app-student',
  templateUrl: './student.component.html',
  styleUrls: ['./student.component.css']
})
export class StudentComponent implements OnInit {

  ulogovan: Korisnik = new Korisnik();
  aktuelneAktivnosti: Aktivnost[] = [];

  constructor(private http: HttpClient, private router: Router, private aktivnostiServis: AktivnostiService) { }

  ngOnInit(): void {
    let x = localStorage.getItem("ulogovan");
    if (x != null) {
      this.ulogovan = JSON.parse(x);

      this.aktivnostiServis.aktuelneAktivnosti().subscribe(data => {
        this.aktuelneAktivnosti = data;
      });
    }
  }

  prijavi(aktivnost: Aktivnost) {
    // Ispravnije bi bilo da prosledjujemo aktivnost, tj. njen identifikator kao parametar,
    // ali s obzirom na to da nam na narednoj strani trebaju i podaci o aktivnosti,
    // kako ne bismo vise puta bespotrebno dohvatali iz baze podatke,
    // sacuvacemo podatke o aktivnosti u localStorage objektu
    localStorage.setItem("selektovana", JSON.stringify(aktivnost));
    this.router.navigate(['/prijava']);
  }

}
